Gets a specific flag by its value
GET /flags/value:{value}
Gets a flag identified by the numerical value. A flag describes the quality of an individual data point.
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
value |
path | integer (int32) |
yes | Value of the flag to be accessed. |
Responses
Section titled “Responses”| Code | Description | Type |
|---|---|---|
200 |
The requested flag. | EnumerationOfFlag |
4XX |
Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. | ProblemDetails |
5XX |
Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. | ProblemDetails |
Schema: EnumerationOfFlag
{ "value": 9, "name": "string"}Schema: EnumerationOfFlag
{ "value": 9, "name": "string"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Schema: ProblemDetails
{ "type": "?", "title": "HK09008", "status": 400, "detail": "A description of the problem", "instance": "https://..", "root": { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, "roots": [ { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." }, { "type": "?", "title": "HK15019", "status": 500, "detail": "An error occurred while performing the requested operation...", "instance": "https://.." } ], "traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"}Was this page helpful?Thanks for your feedback!